//==========================================================================
// File: mesh.h
// Description: A function for generating a 2d square mesh as a planar map 
// Author: Pat Morin
// Created: 
//==========================================================================
#include <LEDA/graph.h>
#include <LEDA/point.h>


//==========================================================================
// Make G into a planar map corresponding to an nxn mesh.
// Complexity: O(n^2 log n)
//========================================================================
void MESH(int n, GRAPH<point,int> &G);


